package com.eactive.eai.batch.eventscheduler.holiday;

import java.io.Serializable;

public class HolidayVO  implements Serializable
{
	private static final long serialVersionUID = 1L;

    private String holidayType;
    private String holiday;
    private String description;
 
    public HolidayVO(){
    }

    public HolidayVO(String type, String day, String desc){
    	
    	this.holiday = day;
    	this.description = desc;
    	
    	int typeLength = HolidayKeys.HOLIDAY_TYPE_KEYS.length;
        
        for(int i=0; i<typeLength; i++){
        	if (HolidayKeys.HOLIDAY_TYPE_KEYS[i].equals(type)){
        		this.holidayType=HolidayKeys.HOLIDAY_TYPE_VALUES[i];
        	}
        }
    }
      

    public void setHolidayType(String type){
        this.holidayType = type;
    }

    public String getHolidayType(){
        return holidayType;
    }
    
    public void setHoliday(String day){
        this.holiday = day;
    }

    public String getHoliday(){
        return holiday;
    }
    
    public void setDescription(String desc){
        this.description = desc;
    }

    public String getDescription(){
        return description;
    }

    public String toString(){
        StringBuffer sb = new StringBuffer();
        sb.append("HolidayVO - [ ");
        sb.append(", holidayType=").append(holidayType);
        sb.append(", holiday=").append(holiday);
        sb.append(", description=").append(description);
        sb.append(" ]");
        return sb.toString();
    }
}
